Get Volume Details

Get enriched volume details with per-edge state

Args: volume_id: The ID of the volume to retrieve details for

Returns: VolumeDetailsDto: The volume with per-edge state and configuration

SecurityHTTPBearer
Request
path Parameters
volume_id
required
string (Volume Id)
Responses
200

Volume details retrieved successfully

401

Not authenticated

403

Insufficient permissions

404

Resource not found

422

Invalid input data

500

Internal server error

get/volumes/{volume_id}/details
Request samples
Response samples
application/json
{
  • "volume_id": "string",
  • "volume_name": "string",
  • "edges": {
    },
  • "cloud_region": "string",
  • "used_capacity": "string",
  • "percent_capacity_used": 0,
  • "compression_percent": 0,
  • "protocol": [
    ],
  • "remote_access_enabled": true,
  • "cloud_provider": "amazons3",
  • "bucket": "string",
  • "permission_policy": "POSIX Mixed Mode",
  • "security_mode": "Publicly Available",
  • "case_sensitive": true,
  • "connection_permission": "READONLY",
  • "antiransom_enabled": true,
  • "antivirus_enabled": true,
  • "safe_delete_enabled": true,
  • "audit_enabled": true,
  • "audit_output_type": "string",
  • "snapshot_retention": "string",
  • "encryption_keys": [
    ],
  • "chunk_size": 0,
  • "compression": true,
  • "dedupe": true,
  • "volume_version": "string",
  • "cloud_credential_name": "string",
  • "cloud_credential_hostname": "string",
  • "cloud_credential_note": "string"
}
Copyright © 2025 Nasuni Corporation. All rights reserved.